List Vrt Sources
GET
/datasets/{dataset_id}/vrt-sources/
const url = 'https://example.com/datasets/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/vrt-sources/';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/datasets/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/vrt-sources/ \ --header 'Authorization: Bearer <token>'Return ordered list of COG sources for a VRT dataset.
Authorizations
Section titled “ Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “ Path Parameters ” dataset_id
required
Dataset Id
string format: uuid
Responses
Section titled “ Responses ”Successful Response
Media type application/json
VrtSourceListResponse
object
sources
required
Sources
Array<object>
VrtSourceItem object
dataset_id
required
Dataset Id
string format: uuid
title
required
Title
string
position
required
Position
integer
extent_bbox
Any of:
Array<number>
null
Example generated
{ "sources": [ { "dataset_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "title": "example", "position": 1, "band_count": 1, "resolution_x": 1, "resolution_y": 1, "crs_epsg": 1, "extent_bbox": [ 1 ] } ]}Bad request — invalid payload
Media type application/problem+json
Unauthorized — missing or invalid credentials
Media type application/problem+json
Forbidden — caller lacks access to this resource
Media type application/problem+json
Not found
Media type application/problem+json
Conflict — resource state prevents the operation
Media type application/problem+json
Validation error
Media type application/problem+json
Too many requests — retry after the advertised interval
Media type application/problem+json
Headers
Section titled “ Headers ” Retry-After
integer
Seconds until the request may be retried
Internal server error
Media type application/problem+json
Service unavailable — the database could not serve the request
Media type application/problem+json